aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorfanquake <fanquake@gmail.com>2022-07-26 16:24:28 +0100
committerfanquake <fanquake@gmail.com>2022-07-29 16:12:45 +0100
commit3fe58a98d3406fc62f6dbbd8c0d58caefc69c9ae (patch)
treee2286069e90b2254579fa2488a4db6f41e196f84 /ci
parent5871b5b5ab57a0caf9b7514eb162c491c83281d5 (diff)
downloadbitcoin-3fe58a98d3406fc62f6dbbd8c0d58caefc69c9ae.tar.xz
tidy: run clang-tidy in quiet mode
Diffstat (limited to 'ci')
-rwxr-xr-xci/test/06_script_b.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/ci/test/06_script_b.sh b/ci/test/06_script_b.sh
index 84b7ebe3fd..1220b15d5a 100755
--- a/ci/test/06_script_b.sh
+++ b/ci/test/06_script_b.sh
@@ -35,8 +35,9 @@ if [ "$RUN_FUNCTIONAL_TESTS" = "true" ]; then
fi
if [ "${RUN_TIDY}" = "true" ]; then
+ set -eo pipefail
export P_CI_DIR="${BASE_BUILD_DIR}/bitcoin-$HOST/src/"
- CI_EXEC run-clang-tidy "${MAKEJOBS}"
+ ( CI_EXEC run-clang-tidy -quiet "${MAKEJOBS}" ) | grep -C5 "error"
export P_CI_DIR="${BASE_BUILD_DIR}/bitcoin-$HOST/"
CI_EXEC "python3 ${DIR_IWYU}/include-what-you-use/iwyu_tool.py"\
" src/compat"\